Index: TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-testng-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-json-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-bsf-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovydoc-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-dateutil-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-docgenerator-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-commons-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovysh-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-json-direct-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-ant-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-servlet-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-nio-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jsr223-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-swing-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-picocli-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-junit5-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-datetime-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-templates-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jmx-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-sql-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-xml-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-macro-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-console-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-2.5.0-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-macro-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-macro-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-console-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-console-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-yaml-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-yaml-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-testng-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-testng-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-json-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-json-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-bsf-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-bsf-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovydoc-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovydoc-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-dateutil-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-dateutil-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-docgenerator-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-docgenerator-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-commons-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-commons-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovysh-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-groovysh-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-ant-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-ant-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-servlet-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-servlet-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jaxb-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jaxb-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-nio-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-nio-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jsr223-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jsr223-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-swing-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-swing-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-picocli-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-cli-picocli-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-junit5-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-test-junit5-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-datetime-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-datetime-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-templates-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-templates-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-astbuilder-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-astbuilder-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jmx-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-jmx-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-sql-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-sql-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-xml-3.0.9-indy.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: TXM/trunk/org.txm.libs.groovy-all/lib/groovy-xml-3.0.9-indy.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: TXM/trunk/org.txm.libs.groovy-all/build.properties
===================================================================
--- TXM/trunk/org.txm.libs.groovy-all/build.properties	(revision 3496)
+++ TXM/trunk/org.txm.libs.groovy-all/build.properties	(revision 3497)
@@ -1,28 +1,30 @@
 bin.includes = META-INF/,\
                .,\
-               lib/groovy-2.5.0-indy.jar,\
-               lib/groovy-ant-2.5.0-indy.jar,\
-               lib/groovy-bsf-2.5.0-indy.jar,\
-               lib/groovy-cli-commons-2.5.0-indy.jar,\
-               lib/groovy-cli-picocli-2.5.0-indy.jar,\
-               lib/groovy-console-2.5.0-indy.jar,\
-               lib/groovy-datetime-2.5.0-indy.jar,\
-               lib/groovy-dateutil-2.5.0-indy.jar,\
-               lib/groovy-docgenerator-2.5.0-indy.jar,\
-               lib/groovy-groovydoc-2.5.0-indy.jar,\
-               lib/groovy-groovysh-2.5.0-indy.jar,\
-               lib/groovy-jmx-2.5.0-indy.jar,\
-               lib/groovy-json-2.5.0-indy.jar,\
-               lib/groovy-json-direct-2.5.0-indy.jar,\
-               lib/groovy-jsr223-2.5.0-indy.jar,\
-               lib/groovy-macro-2.5.0-indy.jar,\
-               lib/groovy-nio-2.5.0-indy.jar,\
-               lib/groovy-servlet-2.5.0-indy.jar,\
-               lib/groovy-sql-2.5.0-indy.jar,\
-               lib/groovy-swing-2.5.0-indy.jar,\
-               lib/groovy-templates-2.5.0-indy.jar,\
-               lib/groovy-test-2.5.0-indy.jar,\
-               lib/groovy-test-junit5-2.5.0-indy.jar,\
-               lib/groovy-testng-2.5.0-indy.jar,\
-               lib/groovy-xml-2.5.0-indy.jar,\
-               OSGI-INF/
+               OSGI-INF/,\
+               lib/groovy-3.0.9-indy.jar,\
+               lib/groovy-ant-3.0.9-indy.jar,\
+               lib/groovy-astbuilder-3.0.9-indy.jar,\
+               lib/groovy-bsf-3.0.9-indy.jar,\
+               lib/groovy-cli-commons-3.0.9-indy.jar,\
+               lib/groovy-cli-picocli-3.0.9-indy.jar,\
+               lib/groovy-console-3.0.9-indy.jar,\
+               lib/groovy-datetime-3.0.9-indy.jar,\
+               lib/groovy-dateutil-3.0.9-indy.jar,\
+               lib/groovy-docgenerator-3.0.9-indy.jar,\
+               lib/groovy-groovydoc-3.0.9-indy.jar,\
+               lib/groovy-groovysh-3.0.9-indy.jar,\
+               lib/groovy-jaxb-3.0.9-indy.jar,\
+               lib/groovy-jmx-3.0.9-indy.jar,\
+               lib/groovy-json-3.0.9-indy.jar,\
+               lib/groovy-jsr223-3.0.9-indy.jar,\
+               lib/groovy-macro-3.0.9-indy.jar,\
+               lib/groovy-nio-3.0.9-indy.jar,\
+               lib/groovy-servlet-3.0.9-indy.jar,\
+               lib/groovy-sql-3.0.9-indy.jar,\
+               lib/groovy-swing-3.0.9-indy.jar,\
+               lib/groovy-templates-3.0.9-indy.jar,\
+               lib/groovy-test-3.0.9-indy.jar,\
+               lib/groovy-test-junit5-3.0.9-indy.jar,\
+               lib/groovy-testng-3.0.9-indy.jar,\
+               lib/groovy-xml-3.0.9-indy.jar,\
+               lib/groovy-yaml-3.0.9-indy.jar
Index: TXM/trunk/org.txm.libs.groovy-all/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.groovy-all/.classpath	(revision 3496)
+++ TXM/trunk/org.txm.libs.groovy-all/.classpath	(revision 3497)
@@ -1,54 +1,33 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-2.5.0-indy.jar"
-                   sourcepath="/home/mdecorde/workspace047/org.txm.libs.groovy-all/src/apache-groovy-src-2.5.2.zip"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-ant-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-bsf-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-cli-commons-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-cli-picocli-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-console-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-datetime-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-dateutil-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-docgenerator-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-groovydoc-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-groovysh-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-jmx-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-json-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-json-direct-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-macro-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-nio-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-servlet-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-sql-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-swing-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-templates-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-test-2.5.0-indy.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/groovy-test-junit5-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-testng-2.5.0-indy.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/groovy-xml-2.5.0-indy.jar"/>
-	  <classpathentry kind="output" path="bin"/>
-</classpath>
\ No newline at end of file
+	<classpathentry exported="true" kind="lib" path="lib/groovy-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-ant-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-astbuilder-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-bsf-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-commons-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-picocli-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-console-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-datetime-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-dateutil-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-docgenerator-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovydoc-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovysh-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jaxb-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jmx-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-json-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-nio-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-servlet-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-sql-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-swing-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-templates-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-junit5-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-testng-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-xml-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-yaml-3.0.9-indy.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3496)
+++ TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3497)
@@ -1,84 +1,245 @@
 Manifest-Version: 1.0
 Bundle-SymbolicName: org.txm.libs.groovy-all
-Export-Package: groovy.beans,groovy.cli,groovy.cli.commons,groovy.cli.
- picocli,groovy.grape,groovy.inspect,groovy.inspect.swingui,groovy.io,
- groovy.jmx.builder,groovy.json,groovy.junit5.plugin,groovy.lang,groov
- y.mock.interceptor,groovy.model,groovy.security,groovy.servlet,groovy
- .sql,groovy.swing,groovy.swing.binding,groovy.swing.factory,groovy.sw
- ing.impl,groovy.test,groovy.text,groovy.text.markup,groovy.time,groov
- y.transform,groovy.transform.builder,groovy.transform.options,groovy.
- transform.stc,groovy.ui,groovy.ui.icons,groovy.ui.text,groovy.ui.view
- ,groovy.util,groovy.util.logging,groovy.util.slurpersupport,groovy.xm
- l,groovy.xml.dom,groovy.xml.jaxb,groovy.xml.streamingmarkupsupport,gr
- oovyjarjarantlr,groovyjarjarantlr.ASdebug,groovyjarjarantlr.actions.c
- pp,groovyjarjarantlr.actions.csharp,groovyjarjarantlr.actions.java,gr
- oovyjarjarantlr.actions.python,groovyjarjarantlr.build,groovyjarjaran
- tlr.collections,groovyjarjarantlr.collections.impl,groovyjarjarantlr.
- debug,groovyjarjarantlr.debug.misc,groovyjarjarantlr.preprocessor,gro
- ovyjarjarasm.asm,groovyjarjarasm.asm.commons,groovyjarjarasm.asm.sign
- ature,groovyjarjarasm.asm.tree,groovyjarjarasm.asm.util,groovyjarjarc
- ommonscli,groovyjarjarpicocli,groovyjarjarpicocli.groovy,org.apache.g
- roovy.ast.tools,org.apache.groovy.datetime.extensions,org.apache.groo
- vy.dateutil.extensions,org.apache.groovy.docgenerator,org.apache.groo
- vy.internal.metaclass,org.apache.groovy.internal.util,org.apache.groo
- vy.io,org.apache.groovy.json,org.apache.groovy.json.internal,org.apac
- he.groovy.jsondirect,org.apache.groovy.lang.annotation,org.apache.gro
- ovy.metaclass,org.apache.groovy.plugin,org.apache.groovy.plugin.testn
- g,org.apache.groovy.sql.extensions,org.apache.groovy.util,org.apache.
- groovy.util.concurrentlinkedhashmap,org.codehaus.groovy,org.codehaus.
- groovy.ant,org.codehaus.groovy.antlr,org.codehaus.groovy.antlr.java,o
- rg.codehaus.groovy.antlr.parser,org.codehaus.groovy.antlr.treewalker,
- org.codehaus.groovy.ast,org.codehaus.groovy.ast.builder,org.codehaus.
- groovy.ast.decompiled,org.codehaus.groovy.ast.expr,org.codehaus.groov
- y.ast.stmt,org.codehaus.groovy.ast.tools,org.codehaus.groovy.binding,
- org.codehaus.groovy.bsf,org.codehaus.groovy.classgen,org.codehaus.gro
- ovy.classgen.asm,org.codehaus.groovy.classgen.asm.indy,org.codehaus.g
- roovy.classgen.asm.indy.sc,org.codehaus.groovy.classgen.asm.sc,org.co
- dehaus.groovy.classgen.asm.util,org.codehaus.groovy.control,org.codeh
- aus.groovy.control.customizers,org.codehaus.groovy.control.customizer
- s.builder,org.codehaus.groovy.control.io,org.codehaus.groovy.control.
- messages,org.codehaus.groovy.groovydoc,org.codehaus.groovy.jsr223,org
- .codehaus.groovy.macro.matcher,org.codehaus.groovy.macro.matcher.inte
- rnal,org.codehaus.groovy.macro.methods,org.codehaus.groovy.macro.runt
- ime,org.codehaus.groovy.macro.transform,org.codehaus.groovy.plugin,or
- g.codehaus.groovy.reflection,org.codehaus.groovy.reflection.android,o
- rg.codehaus.groovy.reflection.stdclasses,org.codehaus.groovy.reflecti
- on.v7,org.codehaus.groovy.runtime,org.codehaus.groovy.runtime.callsit
- e,org.codehaus.groovy.runtime.dgmimpl,org.codehaus.groovy.runtime.dgm
- impl.arrays,org.codehaus.groovy.runtime.m12n,org.codehaus.groovy.runt
- ime.memoize,org.codehaus.groovy.runtime.metaclass,org.codehaus.groovy
- .runtime.powerassert,org.codehaus.groovy.runtime.typehandling,org.cod
- ehaus.groovy.runtime.wrappers,org.codehaus.groovy.syntax,org.codehaus
- .groovy.testng,org.codehaus.groovy.tools,org.codehaus.groovy.tools.as
- t,org.codehaus.groovy.tools.groovydoc,org.codehaus.groovy.tools.groov
- ydoc.gstringTemplates,org.codehaus.groovy.tools.groovydoc.gstringTemp
- lates.classLevel,org.codehaus.groovy.tools.groovydoc.gstringTemplates
- .packageLevel,org.codehaus.groovy.tools.groovydoc.gstringTemplates.to
- pLevel,org.codehaus.groovy.tools.gse,org.codehaus.groovy.tools.javac,
- org.codehaus.groovy.tools.shell,org.codehaus.groovy.tools.shell.comma
- nds,org.codehaus.groovy.tools.shell.completion,org.codehaus.groovy.to
- ols.shell.util,org.codehaus.groovy.tools.xml,org.codehaus.groovy.tran
- sform,org.codehaus.groovy.transform.sc,org.codehaus.groovy.transform.
- sc.transformers,org.codehaus.groovy.transform.stc,org.codehaus.groovy
- .transform.tailrec,org.codehaus.groovy.transform.trait,org.codehaus.g
- roovy.util,org.codehaus.groovy.vmplugin,org.codehaus.groovy.vmplugin.
- v5,org.codehaus.groovy.vmplugin.v6,org.codehaus.groovy.vmplugin.v7,or
- g.codehaus.groovy.vmplugin.v8
+Export-Package: groovy.ant,
+ groovy.beans,
+ groovy.cli,
+ groovy.cli.commons,
+ groovy.cli.internal,
+ groovy.cli.picocli,
+ groovy.console,
+ groovy.console.ui,
+ groovy.console.ui.text,
+ groovy.console.ui.view,
+ groovy.grape,
+ groovy.inspect,
+ groovy.inspect.swingui,
+ groovy.io,
+ groovy.jmx,
+ groovy.jmx.builder,
+ groovy.json,
+ groovy.junit5.plugin,
+ groovy.lang,
+ groovy.lang.groovydoc,
+ groovy.mock.interceptor,
+ groovy.model,
+ groovy.namespace,
+ groovy.security,
+ groovy.servlet,
+ groovy.sql,
+ groovy.swing,
+ groovy.swing.binding,
+ groovy.swing.factory,
+ groovy.swing.impl,
+ groovy.swing.model,
+ groovy.swing.table,
+ groovy.test,
+ groovy.text,
+ groovy.text.markup,
+ groovy.time,
+ groovy.transform,
+ groovy.transform.builder,
+ groovy.transform.options,
+ groovy.transform.stc,
+ groovy.ui,
+ groovy.ui.text,
+ groovy.ui.view,
+ groovy.util,
+ groovy.util.logging,
+ groovy.util.slurpersupport,
+ groovy.xml,
+ groovy.xml.dom,
+ groovy.xml.markupsupport,
+ groovy.xml.slurpersupport,
+ groovy.xml.streamingmarkupsupport,
+ groovy.yaml,
+ groovyjarjarantlr,
+ groovyjarjarantlr.ASdebug,
+ groovyjarjarantlr.actions.cpp,
+ groovyjarjarantlr.actions.csharp,
+ groovyjarjarantlr.actions.java,
+ groovyjarjarantlr.actions.python,
+ groovyjarjarantlr.build,
+ groovyjarjarantlr.collections,
+ groovyjarjarantlr.collections.impl,
+ groovyjarjarantlr.debug,
+ groovyjarjarantlr.debug.misc,
+ groovyjarjarantlr.preprocessor,
+ groovyjarjarantlr4.runtime,
+ groovyjarjarantlr4.runtime.debug,
+ groovyjarjarantlr4.runtime.misc,
+ groovyjarjarantlr4.runtime.tree,
+ groovyjarjarantlr4.v4,
+ groovyjarjarantlr4.v4.analysis,
+ groovyjarjarantlr4.v4.automata,
+ groovyjarjarantlr4.v4.codegen,
+ groovyjarjarantlr4.v4.codegen.model,
+ groovyjarjarantlr4.v4.codegen.model.chunk,
+ groovyjarjarantlr4.v4.codegen.model.decl,
+ groovyjarjarantlr4.v4.codegen.target,
+ groovyjarjarantlr4.v4.gui,
+ groovyjarjarantlr4.v4.misc,
+ groovyjarjarantlr4.v4.parse,
+ groovyjarjarantlr4.v4.runtime,
+ groovyjarjarantlr4.v4.runtime.atn,
+ groovyjarjarantlr4.v4.runtime.dfa,
+ groovyjarjarantlr4.v4.runtime.misc,
+ groovyjarjarantlr4.v4.runtime.tree,
+ groovyjarjarantlr4.v4.runtime.tree.pattern,
+ groovyjarjarantlr4.v4.runtime.tree.xpath,
+ groovyjarjarantlr4.v4.semantics,
+ groovyjarjarantlr4.v4.tool,
+ groovyjarjarantlr4.v4.tool.ast,
+ groovyjarjarantlr4.v4.unicode,
+ groovyjarjarasm.asm,
+ groovyjarjarasm.asm.commons,
+ groovyjarjarasm.asm.signature,
+ groovyjarjarasm.asm.tree,
+ groovyjarjarasm.asm.util,
+ groovyjarjarpicocli,
+ org.apache.groovy.antlr,
+ org.apache.groovy.ast.builder,
+ org.apache.groovy.ast.tools,
+ org.apache.groovy.datetime.extensions,
+ org.apache.groovy.dateutil.extensions,
+ org.apache.groovy.docgenerator,
+ org.apache.groovy.groovydoc.tools,
+ org.apache.groovy.groovysh,
+ org.apache.groovy.groovysh.antlr4,
+ org.apache.groovy.groovysh.commands,
+ org.apache.groovy.groovysh.completion,
+ org.apache.groovy.groovysh.completion.antlr4,
+ org.apache.groovy.groovysh.util,
+ org.apache.groovy.groovysh.util.antlr4,
+ org.apache.groovy.internal.metaclass,
+ org.apache.groovy.internal.util,
+ org.apache.groovy.io,
+ org.apache.groovy.jaxb.extensions,
+ org.apache.groovy.json,
+ org.apache.groovy.json.internal,
+ org.apache.groovy.lang.annotation,
+ org.apache.groovy.metaclass,
+ org.apache.groovy.nio.extensions,
+ org.apache.groovy.nio.runtime,
+ org.apache.groovy.parser.antlr4,
+ org.apache.groovy.parser.antlr4.internal,
+ org.apache.groovy.parser.antlr4.internal.atnmanager,
+ org.apache.groovy.parser.antlr4.util,
+ org.apache.groovy.plugin,
+ org.apache.groovy.plugin.testng,
+ org.apache.groovy.sql.extensions,
+ org.apache.groovy.swing.binding,
+ org.apache.groovy.swing.extensions,
+ org.apache.groovy.test,
+ org.apache.groovy.test.transform,
+ org.apache.groovy.util,
+ org.apache.groovy.util.concurrent,
+ org.apache.groovy.util.concurrent.concurrentlinkedhashmap,
+ org.apache.groovy.xml.extensions,
+ org.apache.groovy.xml.tools,
+ org.apache.groovy.yaml.util,
+ org.codehaus.groovy.ant,
+ org.codehaus.groovy.antlr,
+ org.codehaus.groovy.antlr.java,
+ org.codehaus.groovy.antlr.parser,
+ org.codehaus.groovy.antlr.treewalker,
+ org.codehaus.groovy.ast,
+ org.codehaus.groovy.ast.builder,
+ org.codehaus.groovy.ast.decompiled,
+ org.codehaus.groovy.ast.expr,
+ org.codehaus.groovy.ast.stmt,
+ org.codehaus.groovy.ast.tools,
+ org.codehaus.groovy.binding,
+ org.codehaus.groovy.bsf,
+ org.codehaus.groovy.classgen,
+ org.codehaus.groovy.classgen.asm,
+ org.codehaus.groovy.classgen.asm.indy,
+ org.codehaus.groovy.classgen.asm.indy.sc,
+ org.codehaus.groovy.classgen.asm.sc,
+ org.codehaus.groovy.classgen.asm.util,
+ org.codehaus.groovy.control,
+ org.codehaus.groovy.control.customizers,
+ org.codehaus.groovy.control.customizers.builder,
+ org.codehaus.groovy.control.io,
+ org.codehaus.groovy.control.messages,
+ org.codehaus.groovy.groovydoc,
+ org.codehaus.groovy.jsr223,
+ org.codehaus.groovy.macro.matcher,
+ org.codehaus.groovy.macro.matcher.internal,
+ org.codehaus.groovy.macro.methods,
+ org.codehaus.groovy.macro.runtime,
+ org.codehaus.groovy.macro.transform,
+ org.codehaus.groovy.plugin,
+ org.codehaus.groovy.reflection,
+ org.codehaus.groovy.reflection.android,
+ org.codehaus.groovy.reflection.stdclasses,
+ org.codehaus.groovy.reflection.v7,
+ org.codehaus.groovy.runtime,
+ org.codehaus.groovy.runtime.callsite,
+ org.codehaus.groovy.runtime.dgmimpl,
+ org.codehaus.groovy.runtime.dgmimpl.arrays,
+ org.codehaus.groovy.runtime.m12n,
+ org.codehaus.groovy.runtime.memoize,
+ org.codehaus.groovy.runtime.metaclass,
+ org.codehaus.groovy.runtime.powerassert,
+ org.codehaus.groovy.runtime.typehandling,
+ org.codehaus.groovy.runtime.wrappers,
+ org.codehaus.groovy.syntax,
+ org.codehaus.groovy.testng,
+ org.codehaus.groovy.tools,
+ org.codehaus.groovy.tools.ast,
+ org.codehaus.groovy.tools.groovydoc,
+ org.codehaus.groovy.tools.groovydoc.antlr4,
+ org.codehaus.groovy.tools.groovydoc.gstringTemplates,
+ org.codehaus.groovy.tools.gse,
+ org.codehaus.groovy.tools.javac,
+ org.codehaus.groovy.tools.shell,
+ org.codehaus.groovy.tools.shell.commands,
+ org.codehaus.groovy.tools.shell.completion,
+ org.codehaus.groovy.tools.shell.util,
+ org.codehaus.groovy.tools.xml,
+ org.codehaus.groovy.transform,
+ org.codehaus.groovy.transform.sc,
+ org.codehaus.groovy.transform.sc.transformers,
+ org.codehaus.groovy.transform.stc,
+ org.codehaus.groovy.transform.tailrec,
+ org.codehaus.groovy.transform.trait,
+ org.codehaus.groovy.util,
+ org.codehaus.groovy.vmplugin,
+ org.codehaus.groovy.vmplugin.v5,
+ org.codehaus.groovy.vmplugin.v6,
+ org.codehaus.groovy.vmplugin.v7,
+ org.codehaus.groovy.vmplugin.v8,
+ org.codehaus.groovy.vmplugin.v9
 Bundle-Name: Groovy-all
 Bundle-Version: 2.3.7
-Bundle-ClassPath: .,lib/groovy-xml-2.5.0-indy.jar,lib/groovy-2.5.0-ind
- y.jar,lib/groovy-ant-2.5.0-indy.jar,lib/groovy-bsf-2.5.0-indy.jar,lib
- /groovy-cli-commons-2.5.0-indy.jar,lib/groovy-cli-picocli-2.5.0-indy.
- jar,lib/groovy-console-2.5.0-indy.jar,lib/groovy-datetime-2.5.0-indy.
- jar,lib/groovy-dateutil-2.5.0-indy.jar,lib/groovy-docgenerator-2.5.0-
- indy.jar,lib/groovy-groovydoc-2.5.0-indy.jar,lib/groovy-groovysh-2.5.
- 0-indy.jar,lib/groovy-jmx-2.5.0-indy.jar,lib/groovy-json-2.5.0-indy.j
- ar,lib/groovy-json-direct-2.5.0-indy.jar,lib/groovy-jsr223-2.5.0-indy
- .jar,lib/groovy-macro-2.5.0-indy.jar,lib/groovy-nio-2.5.0-indy.jar,li
- b/groovy-servlet-2.5.0-indy.jar,lib/groovy-sql-2.5.0-indy.jar,lib/gro
- ovy-swing-2.5.0-indy.jar,lib/groovy-templates-2.5.0-indy.jar,lib/groo
- vy-test-2.5.0-indy.jar,lib/groovy-test-junit5-2.5.0-indy.jar,lib/groo
- vy-testng-2.5.0-indy.jar
+Bundle-ClassPath: .,
+ lib/groovy-3.0.9-indy.jar,
+ lib/groovy-ant-3.0.9-indy.jar,
+ lib/groovy-astbuilder-3.0.9-indy.jar,
+ lib/groovy-bsf-3.0.9-indy.jar,
+ lib/groovy-cli-commons-3.0.9-indy.jar,
+ lib/groovy-cli-picocli-3.0.9-indy.jar,
+ lib/groovy-console-3.0.9-indy.jar,
+ lib/groovy-datetime-3.0.9-indy.jar,
+ lib/groovy-dateutil-3.0.9-indy.jar,
+ lib/groovy-docgenerator-3.0.9-indy.jar,
+ lib/groovy-groovydoc-3.0.9-indy.jar,
+ lib/groovy-groovysh-3.0.9-indy.jar,
+ lib/groovy-jaxb-3.0.9-indy.jar,
+ lib/groovy-jmx-3.0.9-indy.jar,
+ lib/groovy-json-3.0.9-indy.jar,
+ lib/groovy-jsr223-3.0.9-indy.jar,
+ lib/groovy-macro-3.0.9-indy.jar,
+ lib/groovy-nio-3.0.9-indy.jar,
+ lib/groovy-servlet-3.0.9-indy.jar,
+ lib/groovy-sql-3.0.9-indy.jar,
+ lib/groovy-swing-3.0.9-indy.jar,
+ lib/groovy-templates-3.0.9-indy.jar,
+ lib/groovy-test-3.0.9-indy.jar,
+ lib/groovy-test-junit5-3.0.9-indy.jar,
+ lib/groovy-testng-3.0.9-indy.jar,
+ lib/groovy-xml-3.0.9-indy.jar,
+ lib/groovy-yaml-3.0.9-indy.jar
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
Index: TXM/trunk/org.txm.analec.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.analec.rcp/plugin.xml	(revision 3496)
+++ TXM/trunk/org.txm.analec.rcp/plugin.xml	(revision 3497)
@@ -99,16 +99,6 @@
                   </reference>
                </visibleWhen>
             </command>
-            <command
-                  commandId="org.txm.annotation.urs.commands.ImportTEIAnnotations"
-                  style="push">
-               <visibleWhen
-                     checkEnabled="false">
-                  <reference
-                        definitionId="OneCorpusSelected">
-                  </reference>
-               </visibleWhen>
-            </command>
          </menu>
       </menuContribution>
       <menuContribution
@@ -289,6 +279,19 @@
             </visibleWhen>
          </command>
       </menuContribution>
+      <menuContribution
+            locationURI="menu:menu.file.import.annotations">
+         <command
+               commandId="org.txm.annotation.urs.commands.ImportTEIAnnotations"
+               style="push">
+            <visibleWhen
+                  checkEnabled="false">
+               <reference
+                     definitionId="OneCorpusSelected">
+               </reference>
+            </visibleWhen>
+         </command>
+      </menuContribution>
    </extension>
    <extension
          point="org.eclipse.ui.commands">
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java	(revision 3496)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java	(revision 3497)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.annotation.urs.URSCorpora;
+import org.txm.annotation.urs.view.ElementPropertiesView;
 import org.txm.annotation.urs.Messages;
 import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.rcp.TXMWindows;
@@ -46,9 +47,22 @@
 	}
 
 	public static boolean save(final MainCorpus mainCorpus, ExecutionEvent event) {
+		
+		Corpus corpus = URSCorpora.getCorpus(mainCorpus);
+		
+		if (corpus == null) {
+			Log.severe("No Analec corpus associated to the CQP corpus: "+mainCorpus.getCqpId());
+			return false;
+		}
+		
+		ElementPropertiesView view = ElementPropertiesView.getView();
+		if (view != null && view.getCurrentAnalecCorpus().equals(corpus)) {
+			view.applyAll();
+		}
+		
 		File binaryCorpusDirectory = mainCorpus.getProjectDirectory();
 		File fichierCorpus = new File(binaryCorpusDirectory, "/analec/"+mainCorpus.getID()+".ec"); //$NON-NLS-1$ //$NON-NLS-2$
-		Corpus corpus = URSCorpora.getCorpus(mainCorpus);
+		
 		Log.info(NLS.bind(Messages.SaveCorpus_3, fichierCorpus));
 		if (!URSCorpora.saveCorpus(mainCorpus)) {
 			Log.warning(Messages.SaveCorpus_5);
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3496)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3497)
@@ -99,6 +99,12 @@
 		
 		return;
 	}
+	
+	public static ElementPropertiesView getView() {
+		IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
+		return (ElementPropertiesView) page.findView(ElementPropertiesView.ID);
+	}
+	
 	public static ElementPropertiesView openView() {
 		// open Element View if not opened
 		try {
@@ -196,10 +202,7 @@
 		applyButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				for (PropertyField c : textWidgets.values()) {
-					if (c.isDisposed()) continue;
-					saveFieldValue(c);
-				}
+				applyAll();
 			}
 			
 			@Override
@@ -232,6 +235,18 @@
 		});		
 	}
 	
+	/**
+	 * Apply all fields values
+	 */
+	public void applyAll() {
+		
+		for (PropertyField c : textWidgets.values()) {
+			if (c.isDisposed()) continue;
+			saveFieldValue(c);
+		}
+		
+	}
+
 	public void unloadElement(Corpus analecCorpus, URSAnnotationToolbar toolbar) {
 		
 		if (this.element != null) { // save previous unit changes
@@ -303,8 +318,9 @@
 		this.toolbar = toolbar;
 		this.element = newElement;
 		for (PropertyField t : new ArrayList<PropertyField>(textWidgets.values())) {
-			if (newElement.getProps().get(t.getToolTipText()) != null) {
-				String newValue = newElement.getProps().get(t.getToolTipText());
+			String tname = t.getProperty();
+			if (newElement.getProps().get(tname) != null) {
+				String newValue = newElement.getProps().get(tname);
 				String oldValue = t.getText();
 				//System.out.println("new="+newValue+" old="+oldValue+" differs? "+(!newValue.equals(t.getText())));
 				if (!newValue.equals(oldValue)) {
@@ -332,11 +348,9 @@
 		if (toolbar == null || toolbar.isDisposed() || c.isDisposed()) return;
 		
 		String newVal = c.getCombo().getText().trim();
-		String v = ElementPropertiesView.this.vue.getValeurChamp(ElementPropertiesView.this.element, c.getToolTipText());
+		String v = ElementPropertiesView.this.vue.getValeurChamp(ElementPropertiesView.this.element, c.getProperty());
 		if (!v.equals(newVal) && v != null) {
 			
-			
-			
 			ElementPropertiesView.this.vue.setValeurChamp(ElementPropertiesView.this.element, c.getProperty(), newVal);
 			ElementPropertiesView.this.analecCorpus.isModifie();
 			if (toolbar != null && !toolbar.isDisposed()) this.toolbar.fireIsDirty(); // the Analec corpus should be saved
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java	(revision 3496)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java	(revision 3497)
@@ -63,7 +63,7 @@
 				if (first) {
 					first = false;
 				}
-				if (!t.getText().equals(view.getAnalecVue().getValeurChamp(view.element, t.getToolTipText()))) {
+				if (!t.getText().equals(view.getAnalecVue().getValeurChamp(view.element, getProperty()))) {
 					t.setBackground(new Color(t.getDisplay(),254, 216, 177));
 				} else {
 					t.setBackground(null);
@@ -93,7 +93,7 @@
 				} else if (e.keyCode == SWT.ESC) {
 					//								System.out.println("w:"+e.widget+" key pressed2.");
 					
-					t.setText(view.getAnalecVue().getValeurChamp(view.element, t.getToolTipText()));
+					t.setText(view.getAnalecVue().getValeurChamp(view.element, getProperty()));
 				}
 			}
 			
@@ -106,7 +106,7 @@
 	
 	public void setItems(PropertyField t, Element newElement) {
 		
-		String[] items = view.getAnalecVue().getValeursChamp(newElement.getClass(), newElement.getType(), t.getToolTipText());
+		String[] items = view.getAnalecVue().getValeursChamp(newElement.getClass(), newElement.getType(), t.getProperty());
 		
 		Arrays.sort(items, Collator.getInstance(Locale.getDefault()));
 		t.getCombo().setItems(items);
Index: TXM/trunk/org.txm.setups/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/org.txm.setups/.settings/org.eclipse.core.resources.prefs	(revision 3496)
+++ TXM/trunk/org.txm.setups/.settings/org.eclipse.core.resources.prefs	(revision 3497)
@@ -3,5 +3,6 @@
 encoding//shared/mac/intro_fr.txt=MacRoman
 encoding//shared/mac/readme_fr.txt=MacRoman
 encoding//shared/win/txm.nsi=ISO-8859-1
+encoding//shared/win/txmfunctions.nsi=ISO-8859-1
 encoding/SetupMessages_en.properties=UTF-8
 encoding/SetupMessages_fr.properties=UTF-8
Index: TXM/trunk/org.txm.connlu.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.connlu.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.connlu.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,2 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
+groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.libs.office/build.properties
===================================================================
--- TXM/trunk/org.txm.libs.office/build.properties	(revision 3496)
+++ TXM/trunk/org.txm.libs.office/build.properties	(revision 3497)
@@ -4,7 +4,7 @@
                .,\
                lib/java-rdfa-0.4.2.jar,\
                lib/log4j-1.2.17.jar,\
-               lib/odfdom-java-0.8.21-incubating.jar,\
+               lib/odfdom-java-0.8.11-incubating.jar,\
                lib/simple-odf-0.8.2-incubating.jar,\
                lib/slf4j-api-1.7.25.jar,\
                lib/commons-beanutils-1.9.2.jar,\
@@ -18,7 +18,7 @@
                lib/odfdom-java-0.8.7.jar,\
                lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar,\
                lib/slf4j-log4j12-1.7.6.jar,\
-               lib/taglets-0.8.21-incubating.jar,\
+               lib/taglets-0.8.11-incubating.jar,\
                lib/xercesImpl-2.9.1.jar,\
                lib/xml-apis-1.3.04.jar,\
                OSGI-INF/
Index: TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3496)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3497)
@@ -1246,22 +1246,23 @@
 	
 	String SCRIPT01 = 
 			"var html = \"\";" + //$NON-NLS-1$
-					"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
-					"var sel = window.getSelection();" + //$NON-NLS-1$
-					"if (sel.rangeCount) {" + //$NON-NLS-1$
+			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
+				"var sel = window.getSelection();" + //$NON-NLS-1$
+				"if (sel.rangeCount) {" + //$NON-NLS-1$
 					"var container = document.createElement(\"div\");" + //$NON-NLS-1$
 					"for (var i = 0, len = sel.rangeCount; i < len; ++i) {" + //$NON-NLS-1$
-					"container.appendChild(sel.getRangeAt(i).cloneContents());" + //$NON-NLS-1$
+						"container.appendChild(sel.getRangeAt(i).cloneContents());" + //$NON-NLS-1$
 					"}" + //$NON-NLS-1$
 					"html = container.innerHTML;" + //$NON-NLS-1$
-					"container.remove()" +
-					"}" + //$NON-NLS-1$
-					"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
-					"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
+					"container = null;" +
+					//"container.parentNode.removeChild(container);" +
+				"}" + //$NON-NLS-1$
+			"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
+				"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
 					"html = document.selection.createRange().htmlText;" + //$NON-NLS-1$
-					"}" + //$NON-NLS-1$
-					"}" + //$NON-NLS-1$
-					"return html"; //$NON-NLS-1$
+				"}" + //$NON-NLS-1$
+			"}" + //$NON-NLS-1$
+			"return html"; //$NON-NLS-1$
 	
 	public String getTextSelectionDOM() {
 		
Index: TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,2 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
+groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3496)
+++ TXM/trunk/org.txm.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3497)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=25
+groovy.compiler.level=30
 groovy.script.filters=scripts/**/*.groovy,y,src/main/resources/**/*.groovy,y,src/test/resources/**/*.groovy,y
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java	(revision 3496)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/CorporaSourceProvider.java	(revision 3497)
@@ -26,10 +26,15 @@
 	}
 	
 	public static void updateSelection(ISelection selection) {
+		
 		if (instance != null) {
 			instance.currentState.put(NAME, selection);
 			instance.fireSourceChanged(1, NAME, selection);
 			Log.fine("UPDATE SOURCE: "+selection); //$NON-NLS-1$
+		} else {
+			selection = new StructuredSelection();
+			instance.currentState.put(NAME, selection);
+			instance.fireSourceChanged(1, NAME, selection);
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.rcp/plugin.xml	(revision 3496)
+++ TXM/trunk/org.txm.rcp/plugin.xml	(revision 3497)
@@ -1131,11 +1131,13 @@
                   style="push">
                <visibleWhen
                      checkEnabled="false">
-                  <or>
-                     <reference
-                           definitionId="OneMainCorpusSelected">
-                     </reference>
-                  </or>
+                  <iterate>
+                     <and>
+                        <instanceof
+                              value="org.txm.searchengine.cqp.corpus.MainCorpus">
+                        </instanceof>
+                     </and>
+                  </iterate>
                </visibleWhen>
             </command>
             
@@ -2228,11 +2230,13 @@
                   style="push">
                <visibleWhen
                      checkEnabled="false">
-                  <or>
-                     <reference
-                           definitionId="OneMainCorpusSelected">
-                     </reference>
-                  </or>
+                  <iterate>
+                     <and>
+                        <instanceof
+                              value="org.txm.searchengine.cqp.corpus.MainCorpus">
+                        </instanceof>
+                     </and>
+                  </iterate>
                </visibleWhen>
             </command>
             <separator
